package com.ruoyi.app.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的近况（发表）
 *
 * @author Alex
 * @date 2020-10-02
 */
@Data
@ApiModel(value = "我的近况（我的发）")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_my_publish")
public class TbMyPublish implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 会员id */
    @ApiModelProperty(value="会员id")
    @Excel(name = "会员id")
    private Long appUserId;

    /** 发表内容 */
    @ApiModelProperty(value="发表内容")
    @Excel(name = "发表内容")
    private String contents;

    /** 图片1 */
    @ApiModelProperty(value="图片1")
    @Excel(name = "图片1")
    private String picurl1;

    /** 图片2 */
    @ApiModelProperty(value="图片2")
    @Excel(name = "图片2")
    private String picurl2;

    /** 图片3 */
    @ApiModelProperty(value="图片3")
    @Excel(name = "图片3")
    private String picurl3;

    /** 图片4 */
    @ApiModelProperty(value="图片4")
    @Excel(name = "图片4")
    private String picurl4;

    /** 图片5 */
    @ApiModelProperty(value="图片5")
    @Excel(name = "图片5")
    private String picurl5;

    /** 图片6 */
    @ApiModelProperty(value="图片6")
    @Excel(name = "图片6")
    private String picurl6;

    /** 图片7 */
    @ApiModelProperty(value="图片7")
    @Excel(name = "图片7")
    private String picurl7;

    /** 图片8 */
    @ApiModelProperty(value="图片8")
    @Excel(name = "图片8")
    private String picurl8;

    /** 图片9 */
    @ApiModelProperty(value="图片9")
    @Excel(name = "图片9")
    private String picurl9;

    /** 纪念留言 */
    @ApiModelProperty(value="纪念留言")
    @Excel(name = "纪念留言")
    private String message;

    /** 留念人 */
    @ApiModelProperty(value="留念人")
    @Excel(name = "留念人")
    private Long messageUserId;

    /** 点赞数 */
    @ApiModelProperty(value="点赞数")
    @Excel(name = "点赞数")
    private Long thumbs;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;
}
